#include <stdio.h>
#include "item.h"

INT16 printItemStatus(INT16 s) {
	if (s&0x3f) printf(" %2d ", s&0x3f);
	else printf("    ");
	printf("%c%c", s&0x40?'U':' ', s&0x80?'*':' ');
	return 1;
}

INT16 printItemDesc(INT16 c) {
	char *itemname[] = { 
		"(none)        ", "Torch         ", "Lamp          ", 
		"Broadsword    ", "Short Sword   ", "Dagger        ",
		"War Axe       ", "Halbard       ", "Mace          ", 
		"Staff         ", "Buckler       ", "Tower Shield  ",
		"Leather Armor ", "Chain Mail    ", "Scale Armor   ", 
		"Plate Armor   ", "Robes         ", "Helm          ", 
		"Leather Glvs  ", "Gauntlets     ", "Mandolin      ", 
		"Harp          ", "Flute         ", "Mthr Sword    ", 
		"Mthr Shield   ", "Mthr Chain    ", "Mthr Scale    ", 
		"Samurai Fgn   ", "Bracers [6]   ", "Bardsword     ", 
		"Fire Horn     ", "Lightwand     ", "Mthr Dagger   ", 
		"Mthr Helm     ", "Mthr Gloves   ", "Mthr Axe      ", 
		"Mthr Mace     ", "Mthr Plate    ", "Ogre Fgn      ", 
		"Lak\'s Lyre    ", "Shield Ring   ", "Dork Ring     ",
		"Fin\'s Flute   ", "Kael\'s Axe    ", "Blood Axe     ", 
		"Dayblade      ", "Shield Staff  ", "Elf Cloak     ", 
		"Hawkblade     ", "Admt Sword    ", "Admt Shield   ", 
		"Admt Dagger   ", "Admt Helm     ", "Admt Gloves   ", 
		"Admt Mace     ", "Broom         ", "Pureblade     ",
		"Exorwand      ", "Ali\'s Carpet  ", "Magic Mouth   ", 
		"Luckshield    ", "Giant Fgn     ", "Admt Chain    ", 
		"Admt Scale    ", "Admt Plate    ", "Bracers [4]   ", 
		"Arcshield     ", "Pure Shield   ", "Mage Staff    ", 
		"War Staff     ", "Thief Dagger  ", "Soul Mace     ",
		"Wither Staff  ", "Sorcerstaff   ", "Sword of Pak  ", 
		"Heal Harp     ", "Galt\'s Flute  ", "Frost Horn    ", 
		"Dmnd Sword    ", "Dmnd Shield   ", "Dmnd Dagger   ", 
		"Dmnd Helm     ", "Golem Fgn     ", "Titan Fgn     ", 
		"Conjurstaff   ", "Arc\'s Hammer  ", "Staff of Lor  ", 
		"Powerstaff    ", "Mournblade    ", "Dragonshield  ", 
		"Dmnd Plate    ", "Wargloves     ", "Lorehelm      ", 
		"Dragonwand    ", "Kiels Compass ", "Speedboots    ", 
		"Flame Horn    ", "Truthdrum     ", "Spiritdrum    ",
		"Pipes of Pan  ", "Ring of Power ", "Deathring     ", 
		"Ybarrashield  ", "Spectre Mace  ", "Dag Stone     ", 
		"Arc\'s Eye     ", "Ogrewand      ", "Spirithelm    ",
		"Dragon Fgn    ", "Mage Fgn      ", "Troll Ring    ", 
		"Troll Staff   ", "Onyx Key      ", "Crystal Sword ", 
		"Stoneblade    ", "Travelhelm    ", "Death Dagger  ",
		"Mongo Fgn     ", "Lich Fgn      ", "Eye           ", 
		"Master Key    ", "WizWand       ", "Silvr Square  ", 
		"Silvr Circle  ", "Silvr Triang  ", "Thor Fgn      ",
		"Old Man Fgn   ", "Spectre Snare "
	};

	printf("%s ", itemname[c]);
	return 1;
}

INT16 showItemCodesOld(void) {
INT16 i;
char buffer[256];
printf("\nItem Codes:");
for (i=0; i<128; ) {
if (i%4==0) printf("\n");
if (i%80==0) fgets(buffer, 255, stdin);
printf("%3d.",i);
printItemDesc(i++);
}
printf("\n");
return 0;
}

INT16 showItemCodes(void) {
	INT16 i;
	char buffer[256];

	printf("\nItem Codes:\n\n");
	for (i=0; i<20; i++) {
		printf("%3d.",i);
		printItemDesc(i);
		printf("%3d.",i+20);
		printItemDesc(i+20);
		printf("%3d.",i+40);
		printItemDesc(i+40);
		printf("%3d.",i+60);
		printItemDesc(i+60);
		printf("\n");
	}
/* 
	No idea why I need to call fgets twice here, but not
	in the original function; however, if I don't, it
	will not wait for <ENTER> to continue.
*/
	printf("\nPress <ENTER> or <RETURN> to Continue...\n");
	fgets(buffer, 255, stdin);
	fgets(buffer, 255, stdin);

	for (i=80; i<92; i++) {
		printf("%3d.",i);
		printItemDesc(i);
		printf("%3d.",i+12);
		printItemDesc(i+12);
		printf("%3d.",i+24);
		printItemDesc(i+24);
		printf("%3d.",i+36);
		printItemDesc(i+36);
		printf("\n");
	}
	printf("\n");
	return 0;
}

